Subject: Re: No output on `who', no syslogs, incorrect working remote progs
From: [email-masked] (Corinna Vinschen)

30 Dec 1998 01:28:47 -0800
Message-ID: <[email-masked]>
References: <01BE3261.ACECA900@sos>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Sergey Okhapkin <[email-masked]>, [email-masked]

Sergey Okhapkin wrote:
> 
> Corinna Vinschen wrote:
> > - How is it possible, to get correct output on `who'
> 
> Create empty /var/log/wtmp and /var/run/utmp files.

Thanks, after creating both as hard links to the same file,
it worked.

> > - Why doesn't syslogd log anything? Do I have to use the option -p,
> >   to set another log socket?
> 
> Syslogd functionality is built-in in cygwin1.dll. Syslog messages are
> written into application's event log on NT and into c:\cygwin_syslog.txt on
> W9X.

Sigh! I personally would prefer logging to /var/log.

> > - inetd is running, configured to start in.telnetd, in.ftpd, in.rexecd,
> >   in.rlogind, in.rshd and in.talkd. Telnet and ftp are working, but
> >   rlogin prints:
> >       rlogin: Connection closed.
> 
> Are there any events in syslog?

talk:
=====
  After correct setting of utmp/wtmp as above:

    [No connection yet]
    [Your party is refusing messages]

  `who -w' shows:
	
    corinna   -   tty0     Dec 30 04:29 (corinna.vinschen.net)
    admin     -   tty1     Dec 30 04:38 (corinna.vinschen.net)

  How is it possible, to set `mesg y'??? I'm missing this command.

rlogin:
=======
    `rlogin corinna@corinna'
    `rlogin -l corinna corinna'

  are both hanging 'til any key is pressed.

    `rlogin corinna'
  outputs:
    `rlogin: connection closed.'
  and is then hanging until any keypress.

  No syslog entry.

rsh:
====
  hangs as rlogin, but with syslog entry:

  Win32 Process Id = 0x113 : Cygwin Process Id = 0x52A : connect second port 1022:
  Address already in use.

  ??? I don't know, why 1022 should be in use. Unfortunately, only this port
  1022 seems to be tried by `rsh'.

rcp:
====
   rcp corinna@corinna:foo .

   returns without error message, without syslog entry and without copied file.

Any suggestion?

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".